do.call {base} | R Documentation

## Execute a Function Call

### Description

`do.call` executes a function call from the name of the function and a list of arguments to be passed to it.

### Usage

    do.call(what, args)

### Arguments

`what` | a character string naming the function to be called.
`args` | a list of arguments to the function call. The `names` attribute of `args` gives the argument names.

### Value

The result of the (evaluated) function call.

### See Also

`call` which creates an unevaluated call.

### Examples

    do.call("complex", list(imag = 1:3))

[Package Contents]